#pragma once
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "guecs.hpp"

namespace gui {
  class CombatUI {
    public:
      guecs::UI $gui;
      DinkyECS::Entity $meter;
      GameLevel $level;

      CombatUI(GameLevel level);

      void init();
      void render(sf::RenderWindow& window);
      void update_level(GameLevel &level);
      void set_damage(float percent);
  };
}
